AntiFeatures:
  - NonFreeNet
Categories:
  - Multimedia
License: GPL-3.0-or-later
AuthorName: Shabinder Singh
AuthorEmail: dev.shabinder@gmail.com
AuthorWebSite: https://shabinder.github.io/
WebSite: https://shabinder.github.io/SpotiFlyer/
SourceCode: https://github.com/Shabinder/SpotiFlyer
IssueTracker: https://github.com/Shabinder/SpotiFlyer/issues
Changelog: https://github.com/Shabinder/SpotiFlyer/releases
OpenCollective: spotiflyer

AutoName: SpotiFlyer

RepoType: git
Repo: https://github.com/Shabinder/SpotiFlyer

Builds:
  - versionName: 3.1.0
    versionCode: 20
    commit: 3.1.0
    subdir: android
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - desktop
      - web-app
      - maintenance-tasks
      - infra
      - art
      - spotiflyer-ios

  - versionName: 3.2.1
    versionCode: 22
    commit: 116530cc3c6b5b89a58991aefeedd7d126bad776
    subdir: android
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - desktop
      - web-app
      - maintenance-tasks
      - infra
      - art
      - spotiflyer-ios

MaintainerNotes: Contained Matomo & ACRA are configured opt-in

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: buildSrc/buildSrc/src/main/kotlin/Versions.kt|versionCode\s=\s(\d+)|.|versionName\s=\s"([\d.]+)"
CurrentVersion: 3.2.1
CurrentVersionCode: 22
